# azure.mgmt.media package

## Submodules

- azure.mgmt.media.models module
- azure.mgmt.media.operations module

## Module contents

class `azure.mgmt.media.``AzureMediaServices`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Variables:

  - config (AzureMediaServicesConfiguration) – Configuration for client.
  - account_filters (azure.mgmt.media.operations.AccountFiltersOperations) – AccountFilters operations
  - operations (azure.mgmt.media.operations.Operations) – Operations operations
  - mediaservices (azure.mgmt.media.operations.MediaservicesOperations) – Mediaservices operations
  - locations (azure.mgmt.media.operations.LocationsOperations) – Locations operations
  - assets (azure.mgmt.media.operations.AssetsOperations) – Assets operations
  - asset_filters (azure.mgmt.media.operations.AssetFiltersOperations) – AssetFilters operations
  - content_key_policies (azure.mgmt.media.operations.ContentKeyPoliciesOperations) – ContentKeyPolicies operations
  - transforms (azure.mgmt.media.operations.TransformsOperations) – Transforms operations
  - jobs (azure.mgmt.media.operations.JobsOperations) – Jobs operations
  - streaming_policies (azure.mgmt.media.operations.StreamingPoliciesOperations) – StreamingPolicies operations
  - streaming_locators (azure.mgmt.media.operations.StreamingLocatorsOperations) – StreamingLocators operations
  - live_events (azure.mgmt.media.operations.LiveEventsOperations) – LiveEvents operations
  - live_outputs (azure.mgmt.media.operations.LiveOutputsOperations) – LiveOutputs operations
  - streaming_endpoints (azure.mgmt.media.operations.StreamingEndpointsOperations) – StreamingEndpoints operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The unique identifier for a Microsoft Azure subscription.
  - base_url (str) – Service URL

class `azure.mgmt.media.``AzureMediaServicesConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for AzureMediaServices Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The unique identifier for a Microsoft Azure subscription.
  - base_url (str) – Service URL